Package org.eclipse.wst.xsl.ui.internal.preferences

## org.eclipse.wst.xsl.ui.internal.preferences
Class PropertyPreferencePage

    package-private class PropertyPreferencePage
    extends PropertyPage

Based loosely on org.eclipse.jdt.internal.ui.preferences.PropertyAndPreferencePage

## Constructor Summary

`PropertyPreferencePage()`

## Method Summary

`public void` | `applyData(java.lang.Object data)`
`protected Control` | `createCommonContents(Composite composite)`
`public Control` | `createContents(Composite parent)`
`protected IScopeContext[]` | `createPreferenceScopes()`
`protected void` | `enablePreferenceContent(boolean enable)` Controls the enablement of the common content region of a property or preference page
`protected java.lang.String` | `getPreferenceNodeQualifier()`
`protected java.lang.String` | `getPreferencePageID()`
`protected IProject` | `getProject()`
`protected java.lang.String` | `getProjectSettingsKey()`
`protected java.lang.String` | `getPropertyPageID()`
`protected boolean` | `isElementSettingsEnabled()`
`package-private void` | `openProjectSettings()`
`package-private void` | `openWorkspaceSettings()`
`protected void` | `performDefaults()`
`public boolean` | `performOk()`

## Constructor Detail

## PropertyPreferencePage

`public PropertyPreferencePage()`

## Methods Detail

## applyData

`public void applyData(java.lang.Object data)`

### Parameters

`data`

## createCommonContents

`protected Control createCommonContents(Composite composite)`

### Parameters

`composite`

### Returns

`Control`

## createContents

`public Control createContents(Composite parent)`

### Parameters

`parent`

### Returns

`Control`

## createPreferenceScopes

`protected IScopeContext[] createPreferenceScopes()`

### Returns

`IScopeContext[]`

## enablePreferenceContent

`protected void enablePreferenceContent(boolean enable)`

Controls the enablement of the common content region of a property or preference page

### Parameters

`enable` - the enabled state of the common content area

## getPreferenceNodeQualifier

`protected java.lang.String getPreferenceNodeQualifier()`

### Returns

`java.lang.String`

## getPreferencePageID

`protected java.lang.String getPreferencePageID()`

### Returns

`java.lang.String`

## getProject

`protected IProject getProject()`

### Returns

`IProject`

## getProjectSettingsKey

`protected java.lang.String getProjectSettingsKey()`

### Returns

`java.lang.String`

## getPropertyPageID

`protected java.lang.String getPropertyPageID()`

### Returns

`java.lang.String`

## isElementSettingsEnabled

`protected boolean isElementSettingsEnabled()`

### Returns

`boolean`

## openProjectSettings

`package-private void openProjectSettings()`

## openWorkspaceSettings

`package-private void openWorkspaceSettings()`

## performDefaults

`protected void performDefaults()`

## performOk

`public boolean performOk()`

### Returns

`boolean`